"use strict";Object.defineProperty(exports, "__esModule", {value: true}); function _nullishCoalesce(lhs, rhsFn) { if (lhs != null) { return lhs; } else { return rhsFn(); } } function _optionalChain(ops) { let lastAccessLHS = undefined; let value = ops[0]; let i = 1; while (i < ops.length) { const op = ops[i]; const fn = ops[i + 1]; i += 2; if ((op === 'optionalAccess' || op === 'optionalCall') && value == null) { return undefined; } if (op === 'access' || op === 'optionalAccess') { lastAccessLHS = value; value = fn(value); } else if (op === 'call' || op === 'optionalCall') { value = fn((...args) => value.call(lastAccessLHS, ...args)); lastAccessLHS = undefined; } } return value; }

var _chunkAZTYBIRTcjs = require('./chunk-AZTYBIRT.cjs');


var _chunkZ5RQA7W2cjs = require('./chunk-Z5RQA7W2.cjs');


var _chunkN46W55MHcjs = require('./chunk-N46W55MH.cjs');


var _chunkUKD65B23cjs = require('./chunk-UKD65B23.cjs');



var _chunkPEU5ZQVBcjs = require('./chunk-PEU5ZQVB.cjs');








var _chunkJ42M6DF3cjs = require('./chunk-J42M6DF3.cjs');

// src/browser/log/log-browser-factory.ts
function LoggerBrowserSetupDebugFactory(opt = {}) {
  const localStorage = _chunkZ5RQA7W2cjs.getLocalStorage.call(void 0, );
  const filter = _nullishCoalesce(_nullishCoalesce(opt.filter, () => ( _optionalChain([localStorage, 'optionalAccess', _ => _.zeed]))), () => ( _optionalChain([localStorage, 'optionalAccess', _2 => _2.debug])));
  const styleFont = 'font-family: "JetBrains Mono", Menlo; font-size: 11px;';
  const styleDefault = `${styleFont}`;
  const styleBold = `font-weight: 600; ${styleFont}`;
  const useColors = _chunkAZTYBIRTcjs.browserSupportsColors.call(void 0, );
  const noop = () => {
  };
  const originalConsole = _chunkUKD65B23cjs.getGlobalConsole.call(void 0, );
  return function LoggerBrowserDebugFactory(name = "", logLevel) {
    let log;
    const matches = _chunkPEU5ZQVBcjs.useNamespaceFilter.call(void 0, filter);
    const level = _chunkPEU5ZQVBcjs.parseLogLevel.call(void 0, _nullishCoalesce(logLevel, () => ( _chunkJ42M6DF3cjs.LogLevelAll)));
    if (matches(name) && level !== _chunkJ42M6DF3cjs.LogLevelOff) {
      let defineForLogLevel2 = function(fnLevel, fn) {
        if (level <= fnLevel)
          return fn;
        return () => {
        };
      };
      var defineForLogLevel = defineForLogLevel2;
      const fixedArgs = [];
      if (useColors) {
        const color = _chunkN46W55MHcjs.browserSelectColorByName.call(void 0, name);
        fixedArgs.push(`%c${name.padEnd(16, " ")}%c 	%s`);
        fixedArgs.push(`color:${color}; ${styleBold}`);
        fixedArgs.push(styleDefault);
      } else {
        fixedArgs.push(`[${name}] 	%s`);
      }
      log = defineForLogLevel2(_chunkJ42M6DF3cjs.LogLevelDebug, originalConsole.debug.bind(originalConsole.console, ...fixedArgs));
      log.debug = defineForLogLevel2(_chunkJ42M6DF3cjs.LogLevelDebug, originalConsole.debug.bind(originalConsole.console, ...fixedArgs));
      log.info = defineForLogLevel2(_chunkJ42M6DF3cjs.LogLevelInfo, originalConsole.info.bind(originalConsole.console, ...fixedArgs));
      log.warn = defineForLogLevel2(_chunkJ42M6DF3cjs.LogLevelWarn, originalConsole.warn.bind(originalConsole.console, ...fixedArgs));
      log.error = defineForLogLevel2(_chunkJ42M6DF3cjs.LogLevelError, originalConsole.error.bind(originalConsole.console, ...fixedArgs));
      log.fatal = defineForLogLevel2(_chunkJ42M6DF3cjs.LogLevelFatal, (...args) => {
        log.error(...args);
        throw new Error(`${args.map(String).join(" ")}`);
      });
      log.assert = defineForLogLevel2(_chunkJ42M6DF3cjs.LogLevelFatal, (condition, ...args) => {
        if (condition == null || typeof condition === "number" && Number.isNaN(condition) || !condition)
          log.fatal(...args);
      });
    } else {
      log = () => {
      };
      log.debug = noop;
      log.info = noop;
      log.warn = noop;
      log.error = noop;
      log.assert = noop;
      log.fatal = noop;
    }
    log.extend = (subName) => {
      return LoggerBrowserDebugFactory(name ? `${name}:${subName}` : subName);
    };
    log.label = name;
    return log;
  };
}



exports.LoggerBrowserSetupDebugFactory = LoggerBrowserSetupDebugFactory;
//# sourceMappingURL=chunk-DTPLITLY.cjs.map