import {
  _LoggerFromConfig
} from "./chunk-64BIIYYU.js";
import {
  getGlobalLogger
} from "./chunk-WLMUUSZB.js";
import {
  LoggerBrowserSetupDebugFactory
} from "./chunk-2EUNYVHM.js";
import {
  LoggerBrowserHandler
} from "./chunk-JAW443VR.js";
import {
  getLocalStorage,
  isBrowser
} from "./chunk-EMZ2JTH2.js";
import {
  isEmpty
} from "./chunk-MSASB4XB.js";

// src/browser/log/log-context-browser.ts
function Logger(name, level) {
  return getGlobalLogger((context) => {
    const localStorage = getLocalStorage();
    if (isBrowser() && !isEmpty(localStorage?.getItem("zeed"))) {
      context.setHandlers([LoggerBrowserHandler()]);
      context.setFactory(LoggerBrowserSetupDebugFactory({}));
    }
  })(name, level);
}
function LoggerFromConfig(config, name, level) {
  return _LoggerFromConfig(Logger, config, name, level);
}

export {
  Logger,
  LoggerFromConfig
};
//# sourceMappingURL=chunk-PUO6BZQZ.js.map