"use strict";



var _chunkSPKL2MFGcjs = require('../chunk-SPKL2MFG.cjs');
require('../chunk-4NW2WSOT.cjs');
require('../chunk-SUHO4WFP.cjs');
require('../chunk-S6C65KDQ.cjs');
require('../chunk-UKD65B23.cjs');
require('../chunk-PEU5ZQVB.cjs');
require('../chunk-J42M6DF3.cjs');
require('../chunk-ZYPCVNSG.cjs');
require('../chunk-N43PGEL6.cjs');
require('../chunk-W3WUDQIC.cjs');
require('../chunk-YY4AHBBL.cjs');
require('../chunk-IMCDDJAJ.cjs');

// src/common/assert.spec.ts
var _vitest = require('vitest');
_vitest.describe.call(void 0, "assert.ts", () => {
  _vitest.describe.call(void 0, "fatal", () => {
    _vitest.it.call(void 0, "should throw an error with the correct message", () => {
      _vitest.expect.call(void 0, () => _chunkSPKL2MFGcjs.fatal.call(void 0, "test message")).toThrow("test message");
    });
  });
  _vitest.describe.call(void 0, "assert", () => {
    _vitest.it.call(void 0, "should throw an error when the condition is falsy", () => {
      _vitest.expect.call(void 0, () => _chunkSPKL2MFGcjs.assert.call(void 0, false, "condition is false")).toThrow("condition is false");
      _vitest.expect.call(void 0, () => _chunkSPKL2MFGcjs.assert.call(void 0, null, "condition is null")).toThrow("condition is null");
      _vitest.expect.call(void 0, () => _chunkSPKL2MFGcjs.assert.call(void 0, Number.NaN, "condition is NaN")).toThrow("condition is NaN");
    });
    _vitest.it.call(void 0, "should not throw an error when the condition is truthy", () => {
      _vitest.expect.call(void 0, () => _chunkSPKL2MFGcjs.assert.call(void 0, true, "condition is true")).not.toThrow();
      _vitest.expect.call(void 0, () => _chunkSPKL2MFGcjs.assert.call(void 0, 1, "condition is 1")).not.toThrow();
      _vitest.expect.call(void 0, () => _chunkSPKL2MFGcjs.assert.call(void 0, "non-empty string", "condition is non-empty string")).not.toThrow();
    });
  });
  _vitest.describe.call(void 0, "assertCondition", () => {
    _vitest.it.call(void 0, "should behave the same as assert", () => {
      _vitest.expect.call(void 0, () => _chunkSPKL2MFGcjs.assertCondition.call(void 0, false, "condition is false")).toThrow("condition is false");
      _vitest.expect.call(void 0, () => _chunkSPKL2MFGcjs.assertCondition.call(void 0, true, "condition is true")).not.toThrow();
    });
  });
});
//# sourceMappingURL=assert.spec.cjs.map