import {
  renderMessages
} from "../../chunk-NKO3DYD7.js";
import "../../chunk-SQYI5DA5.js";
import "../../chunk-MTV32UFZ.js";
import "../../chunk-MSASB4XB.js";
import "../../chunk-UOAPXGA4.js";
import "../../chunk-EAYWSLQT.js";
import "../../chunk-I7BWSAN6.js";

// src/common/data/message.spec.ts
describe("message", () => {
  it("should print errors", () => {
    expect(renderMessages(["Message", new Error("Hello")], { trace: false })).toMatchInlineSnapshot(`"Message Error: Hello"`);
    expect(renderMessages(["Message", new Error("Hello")], { trace: false })).toMatchInlineSnapshot(`"Message Error: Hello"`);
    expect(
      renderMessages([
        "Message",
        { a: 1, b: null },
        null,
        void 0,
        Number.NaN,
        100,
        "string"
      ], { trace: false })
    ).toMatchInlineSnapshot(`
      "Message {
        "a": 1,
        "b": null
      } null undefined NaN 100 string"
    `);
  });
});
//# sourceMappingURL=message.spec.js.map