"use strict";


var _chunkVA5C3MCVcjs = require('../chunk-VA5C3MCV.cjs');
require('../chunk-SLEHBFHV.cjs');
require('../chunk-MPD2DJAD.cjs');
require('../chunk-7A2HVTS7.cjs');
require('../chunk-BOHPEXDM.cjs');
require('../chunk-6T6PI6XG.cjs');
require('../chunk-5BF2LEAU.cjs');
require('../chunk-4NW2WSOT.cjs');
require('../chunk-SUHO4WFP.cjs');
require('../chunk-S6C65KDQ.cjs');
require('../chunk-EZB4PXZZ.cjs');
require('../chunk-UKD65B23.cjs');
require('../chunk-PEU5ZQVB.cjs');
require('../chunk-J42M6DF3.cjs');
require('../chunk-ZYPCVNSG.cjs');
require('../chunk-N43PGEL6.cjs');
require('../chunk-W3WUDQIC.cjs');
require('../chunk-YY4AHBBL.cjs');
require('../chunk-IMCDDJAJ.cjs');

// src/common/network.spec.ts
describe("network", () => {
  it("should fetch", async () => {
    if (globalThis.isNodeTestEnv) {
      const html = await _chunkVA5C3MCVcjs.fetchText.call(void 0, "https://example.com");
      expect(html).toContain("<html");
    } else {
      const html = await _chunkVA5C3MCVcjs.fetchText.call(void 0, "/");
      expect(html).toContain("<html");
    }
  });
  it("should parse basic auth", () => {
    const url = "https://user:pass@example.com/?x=1";
    expect(_chunkVA5C3MCVcjs.parseBasicAuth.call(void 0, url)).toMatchInlineSnapshot(`
      Object {
        "password": "pass",
        "url": "https://example.com/?x=1",
        "username": "user",
      }
    `);
  });
});
//# sourceMappingURL=network.spec.cjs.map