"use strict";


var _chunkAWLG5F3Jcjs = require('../../chunk-AWLG5F3J.cjs');




var _chunkU5N3BUNHcjs = require('../../chunk-U5N3BUNH.cjs');
require('../../chunk-2Q4Q3VX6.cjs');
require('../../chunk-DDS4MYUB.cjs');
require('../../chunk-QK5A4MK5.cjs');
require('../../chunk-IL2EURUZ.cjs');
require('../../chunk-SPKL2MFG.cjs');
require('../../chunk-4NW2WSOT.cjs');
require('../../chunk-SUHO4WFP.cjs');
require('../../chunk-S6C65KDQ.cjs');
require('../../chunk-UKD65B23.cjs');
require('../../chunk-PEU5ZQVB.cjs');
require('../../chunk-J42M6DF3.cjs');
require('../../chunk-ZYPCVNSG.cjs');
require('../../chunk-N43PGEL6.cjs');
require('../../chunk-W3WUDQIC.cjs');
require('../../chunk-YY4AHBBL.cjs');
require('../../chunk-IMCDDJAJ.cjs');

// src/common/schema/args.spec.ts
describe("args.spec", () => {
  it("parse args", async () => {
    const schema = _chunkU5N3BUNHcjs.object.call(void 0, {
      someStuff: _chunkU5N3BUNHcjs.number.call(void 0, ).optional().props({
        argDesc: "Does some stuff"
      }),
      help: _chunkU5N3BUNHcjs.boolean.call(void 0, ).default(false).props({
        argShort: "h",
        argDesc: "Shows help"
      })
    });
    expectTypeOf().toMatchTypeOf();
    const args = ["test.txt", "-h", "--some-stuff=8888"];
    const r = _chunkAWLG5F3Jcjs.parseSchemaArgs.call(void 0, schema, args);
    expect(r).toMatchInlineSnapshot(`
      Array [
        Object {
          "help": true,
          "someStuff": 8888,
        },
        Array [
          "test.txt",
        ],
      ]
    `);
    expect(_chunkAWLG5F3Jcjs.helpSchemaArgs.call(void 0, schema)).toMatchInlineSnapshot(`
      "--some-stuff=number
        Does some stuff
      --help, -h
        Shows help"
    `);
  });
});
//# sourceMappingURL=args.spec.cjs.map