import "../chunk-ZBZ2DYCH.js";
import "../chunk-UMUHNSGZ.js";
import "../chunk-WQPRL26Y.js";
import "../chunk-6NLXLMPR.js";
import "../chunk-YLWBKWA3.js";
import "../chunk-QY5DHPIN.js";
import "../chunk-5MXAFXG6.js";
import "../chunk-HIX6EHLQ.js";
import "../chunk-HOPWS6D4.js";
import "../chunk-I2XVPAYA.js";
import "../chunk-44XNTK3T.js";
import "../chunk-MTMPB4V5.js";
import "../chunk-2AXVHLEB.js";
import "../chunk-W46L64YW.js";
import "../chunk-GEAQSCPW.js";
import "../chunk-Z5QCMDS2.js";
import "../chunk-MZ52BAUK.js";
import "../chunk-4KRISKYA.js";
import "../chunk-ZG6VDVZD.js";
import "../chunk-PLBFBDKH.js";
import "../chunk-ZDZ4EQHN.js";
import "../chunk-PZP2B3FC.js";
import "../chunk-2H4XRKWS.js";
import "../chunk-NSJKG6AJ.js";
import "../chunk-PRHMI3L4.js";
import "../chunk-XBBCTS7U.js";
import "../chunk-2OUSR2BE.js";
import "../chunk-IJSLJFYU.js";
import "../chunk-2HWPZ6ZE.js";
import "../chunk-73CVRDI7.js";
import "../chunk-OP4KFE7G.js";
import "../chunk-DGP32WEQ.js";
import "../chunk-EDNCPFSF.js";
import "../chunk-OKCAAGML.js";
import "../chunk-GBF7F7TQ.js";
import "../chunk-D3JF6HTL.js";
import "../chunk-V4QYOVRJ.js";
import "../chunk-DVBRAJ3X.js";
import "../chunk-SZJLXMYP.js";
import "../chunk-GKKLBSFA.js";
import "../chunk-RNL46FQ3.js";
import "../chunk-MWUFUBY5.js";
import "../chunk-NKO3DYD7.js";
import "../chunk-KKN5DQUJ.js";
import "../chunk-X56GIAWQ.js";
import "../chunk-FLFB2K34.js";
import "../chunk-264HKVNG.js";
import "../chunk-XOAKJFNZ.js";
import "../chunk-A7SUGWC3.js";
import "../chunk-6K4RDJ5J.js";
import "../chunk-WJUQ3VXF.js";
import "../chunk-FL5CT6MC.js";
import "../chunk-F7LYIQZT.js";
import "../chunk-TSCDX4AS.js";
import "../chunk-D6B6MYVG.js";
import "../chunk-S2L2URLT.js";
import "../chunk-SQYI5DA5.js";
import "../chunk-EW6FHLFK.js";
import "../chunk-CYNVBK7N.js";
import "../chunk-2VA3UGW7.js";
import "../chunk-5OVSRAPG.js";
import "../chunk-YVRW6ARV.js";
import "../chunk-EYHB6VD2.js";
import "../chunk-YN56GH75.js";
import "../chunk-7QYVSWCZ.js";
import "../chunk-OC6HNIEN.js";
import "../chunk-BORRWM4T.js";
import "../chunk-HST4VI64.js";
import "../chunk-UVLCJ2RC.js";
import "../chunk-TT7OTBYC.js";
import "../chunk-L324TYGN.js";
import {
  arraySorted
} from "../chunk-K7Z2KDW3.js";
import "../chunk-GY34N3KU.js";
import "../chunk-QUKKMPRF.js";
import "../chunk-7U5RS62D.js";
import "../chunk-WLMUUSZB.js";
import "../chunk-ZQHU4QFM.js";
import "../chunk-I2HNS75U.js";
import "../chunk-MFUX7YH7.js";
import "../chunk-MTV32UFZ.js";
import "../chunk-KOCQIU7R.js";
import "../chunk-PN34O4SN.js";
import {
  LocalStorage
} from "../chunk-5YZ4MAM4.js";
import "../chunk-EMZ2JTH2.js";
import "../chunk-I45WP5PM.js";
import "../chunk-NNCJ3QL5.js";
import "../chunk-MIZOLME5.js";
import "../chunk-JAGWOLOG.js";
import "../chunk-YX6CL4KH.js";
import "../chunk-CFICINSP.js";
import "../chunk-MSASB4XB.js";
import "../chunk-UOAPXGA4.js";
import "../chunk-EAYWSLQT.js";
import "../chunk-I7BWSAN6.js";

// src/browser/localstorage.spec.ts
describe("localStorage", () => {
  it("should store data and read it again", () => {
    {
      const db = new LocalStorage({ name: "test" });
      db.clear();
      expect(db.allKeys()).toEqual([]);
      db.setItem("a", 1);
      db.setItem("b", { complex: [1, 2, "3"] });
      db.setItem("c", [0, 9, 8]);
      db.setItem("c", "Again!");
      expect(arraySorted(db.allKeys())).toEqual(["a", "b", "c"]);
      expect(db.getItem("a")).toEqual(1);
      expect(db.getItem("b")).toEqual({ complex: [1, 2, "3"] });
      expect(db.getItem("c")).toEqual("Again!");
    }
    {
      const db = new LocalStorage({ name: "test" });
      expect(arraySorted(db.allKeys())).toEqual(["a", "b", "c"]);
      expect(db.getItem("a")).toEqual(1);
      expect(db.getItem("b")).toEqual({ complex: [1, 2, "3"] });
      expect(db.getItem("c")).toEqual("Again!");
      db.removeItem("b");
      expect(arraySorted(db.allKeys())).toEqual(["a", "c"]);
      db.clear();
      expect(db.allKeys()).toEqual([]);
    }
  });
});
//# sourceMappingURL=localstorage.spec.js.map