"use strict";

var _chunk23QKOEKIcjs = require('../../chunk-23QKOEKI.cjs');
require('../../chunk-ZLBZGV3U.cjs');
require('../../chunk-4B2XCWGL.cjs');
require('../../chunk-5CIFX7O6.cjs');
require('../../chunk-DTHH3JVA.cjs');
require('../../chunk-IL2EURUZ.cjs');


var _chunkN5KTMDVOcjs = require('../../chunk-N5KTMDVO.cjs');



var _chunk4NW2WSOTcjs = require('../../chunk-4NW2WSOT.cjs');
require('../../chunk-SUHO4WFP.cjs');
require('../../chunk-S6C65KDQ.cjs');
require('../../chunk-EZB4PXZZ.cjs');
require('../../chunk-N46W55MH.cjs');
require('../../chunk-33B2TEAZ.cjs');
require('../../chunk-UKD65B23.cjs');
require('../../chunk-PEU5ZQVB.cjs');


var _chunkJ42M6DF3cjs = require('../../chunk-J42M6DF3.cjs');
require('../../chunk-ZYPCVNSG.cjs');
require('../../chunk-N43PGEL6.cjs');
require('../../chunk-W3WUDQIC.cjs');
require('../../chunk-YY4AHBBL.cjs');
require('../../chunk-IMCDDJAJ.cjs');

// src/node/log/log-file.spec.ts
var _fs = require('fs');
describe("log File", () => {
  afterAll(() => {
    _fs.rmSync.call(void 0, `${__dirname}/tmp`, { recursive: true, force: true });
  });
  it("should write log", async () => {
    const path = `${__dirname}/tmp/test.log`;
    _chunk4NW2WSOTcjs.getGlobalLogger.call(void 0, ).setHandlers([
      _chunk23QKOEKIcjs.LoggerFileHandler.call(void 0, path, {
        level: _chunkJ42M6DF3cjs.LogLevelAll,
        filter: "*"
      })
    ]);
    const log = _chunk4NW2WSOTcjs.DefaultLogger.call(void 0, "test");
    log("debug");
    log.info("info");
    log.warn("warn");
    log.error("error");
    await _chunkN5KTMDVOcjs.sleep.call(void 0, 1e3);
    expect(_fs.statSync.call(void 0, path).size).toBeGreaterThan(100);
    _fs.unlinkSync.call(void 0, path);
  });
});
//# sourceMappingURL=log-file.spec.cjs.map