import {
  LoggerNodeHandler,
  loggerStackTraceDebug
} from "../../chunk-IJNSGIZF.js";
import "../../chunk-EMGV4LPL.js";
import "../../chunk-NKO3DYD7.js";
import "../../chunk-KKN5DQUJ.js";
import "../../chunk-TSCDX4AS.js";
import "../../chunk-D6B6MYVG.js";
import "../../chunk-S2L2URLT.js";
import "../../chunk-SQYI5DA5.js";
import {
  DefaultLogger,
  getGlobalLogger
} from "../../chunk-WLMUUSZB.js";
import "../../chunk-ZQHU4QFM.js";
import "../../chunk-I2HNS75U.js";
import "../../chunk-MTV32UFZ.js";
import "../../chunk-I45WP5PM.js";
import "../../chunk-NNCJ3QL5.js";
import "../../chunk-MIZOLME5.js";
import "../../chunk-JAGWOLOG.js";
import {
  LogLevelAll
} from "../../chunk-YX6CL4KH.js";
import "../../chunk-CFICINSP.js";
import "../../chunk-MSASB4XB.js";
import "../../chunk-UOAPXGA4.js";
import "../../chunk-EAYWSLQT.js";
import "../../chunk-I7BWSAN6.js";

// src/node/log/log-node.spec.ts
describe("log-node", () => {
  it("should color log", async () => {
    getGlobalLogger().setHandlers([LoggerNodeHandler()]);
    const log = DefaultLogger("test");
    log("debug");
    log.info("info");
    log.warn("warn");
    log.info(loggerStackTraceDebug);
    log.error("error");
  });
  it("should find pattern", () => {
    getGlobalLogger().setHandlers([
      LoggerNodeHandler({
        level: LogLevelAll,
        filter: "*",
        stack: true
      })
    ]);
    const log = DefaultLogger("stack");
    log("debug");
    log.info("info");
    log.warn("warn");
    log.info(loggerStackTraceDebug);
    log.error("error");
  });
});
//# sourceMappingURL=log-node.spec.js.map